## janus 0.11.8

=== debian/changelog ===
janus (0.11.8-3) unstable; urgency=medium

  * simple re-release, for rebuilding on auto-builders

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 21:11:26 +0100

janus (0.11.8-2) unstable; urgency=medium

  * use system-shared JavaScript libraries
    toastr blueimp-md5 boostrap-slider:
    and release janus-demos to main (not contrib):
    + update patch 2003
    + unfuzz patch 2007
    + have janus-demos depend on libjs-toastr libjs-blueimp-md5,
      and suggest libjs-bootstrap-slider
      (not yet in Debian, but used only in one little-used demo page)
  * fix clean generated ocumentation files
  * fix tighten dependency on libjs-webrtc-adapter

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 14:40:54 +0100

janus (0.11.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * tidy rules: list implicit rules last
  * update generating documentation;
    build-depend on cmark-gfm (not pandoc)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Feb 2022 16:42:21 +0100

janus (0.11.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP14 branch names debian/latest upstream/latest
      (not debian/master upstream)
    + add usage comment
  * unfuzz patch 2003
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jan 2022 22:05:52 +0100

janus (0.11.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten lintian overrides
  * drop patch cherry-picked upstream now applied
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Dec 2021 19:17:45 +0100

janus (0.11.5-4) unstable; urgency=high

  * add patch cherry-picked upstream
    to fix potential Cross-site Scripting (XSS) exploits in demos;
    closes: bug#1000831, thanks to Salvatore Bonaccorso;
    CVE-2021-4020
  * set urgency=high due to security fix

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Nov 2021 11:16:19 +0100

janus (0.11.5-3) unstable; urgency=medium

  * call executable terser (not uglifyjs.terser),
    and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Nov 2021 20:21:52 +0100

janus (0.11.5-2) unstable; urgency=medium

  * stop recommend recent libusrsctp1
    (needed only for Debian oldstable (buster)
    and complicates transition libusrsctp2);
    closes: bug#998658, thanks to Steve Langasek
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Nov 2021 21:41:55 +0100

janus (0.11.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Oct 2021 18:16:07 +0200

janus (0.11.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * drop patch 1004: cross-compilation supported upstream now
  * unfuzz patches
  * improve source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 20:43:24 +0200

janus (0.11.3-1~exp1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info:
    + modernize and tighten source script copyright-check
    + update coverage
  * unfuzz patches
  * update TODO to mention bootstrap-slider not in Debian

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jun 2021 11:13:56 +0200

=== debian/control ===
Source: janus
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Victor Seva <vseva@debian.org>,
 Saúl Ibarra Corretgé <saul@ag-projects.com>,
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 gengetopt,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libconfig-dev,
 libcurl4-openssl-dev,
 libglib2.0-dev,
 libjansson-dev,
 liblua5.3-dev,
 libmicrohttpd-dev (>= 0.9.59),
 libnanomsg-dev,
 libnice-dev,
 libogg-dev,
 libopus-dev,
 libpaho-mqtt-dev,
 libpcap0.8-dev,
 librabbitmq-dev,
 libsofia-sip-ua-dev,
 libsrtp2-dev (>= 2.3.0-4~),
 libssl-dev,
 libsystemd-dev,
 libusrsctp-dev,
 libwebsockets-dev,
 pkg-config,
 rename,
Build-Depends-Indep:
 brotli,
 doxygen,
 graphviz,
 node-rollup-plugin-replace,
 pigz,
 rollup,
 terser,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
Homepage: https://janus.conf.meetecho.com
Rules-Requires-Root: no

Package: janus
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libnice10 (>= 0.1.16),
 lua-ansicolors,
 lua-json,
 ssl-cert,
Suggests:
 janus-doc,
 janus-tools,
Description: general purpose WebRTC server/gateway
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 As such, it doesn't provide any functionality per se
 other than implementing the means to set up
 a WebRTC media communication with a browser or application,
 exchanging JSON messages with it over different transports,
 and relaying RTP/RTCP and messages between clients
 and the server-side application logic they're attached to.
 Any specific feature/application is provided
 by server side plugins,
 that browsers can then contact via the server
 to take advantage of the functionality they provide.
 .
 Example of such plugins can be implementations of applications
 like echo tests, conference bridges, media recorders,
 SIP gateways and the like.

Package: janus-dev
Section: devel
Architecture: any
Depends:
 janus (=${binary:Version}),
 libcurl4-openssl-dev,
 libglib2.0-dev,
 libjansson-dev,
 libnice-dev,
 libsrtp2-dev,
 ${misc:Depends},
Suggests:
 janus-doc,
Description: general purpose WebRTC server/gateway - development files
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains headers for plugin development.

Package: janus-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gstreamer1.0-plugins-good,
 gstreamer1.0-tools,
 gstreamer1.0-x,
Enhances:
 janus,
Description: general purpose WebRTC server/gateway - helper tools
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains the following helper tools:
  * janus-pp-rec - extract media file from a Janus recording
  * pcap2mjr - convert a pcap dump to a Janus recording
  * mjr2pcap - convert a Janus recording to pcap format
 .
 Packages gstreamer1.0-plugins-good gstreamer1.0-x are needed
 for included example streaming script.

Package: janus-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
Description: general purpose WebRTC server/gateway - documentation
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains the html documentation for Janus.

Package: janus-demos
Section: comm
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-blueimp-md5,
 libjs-bootbox,
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-janus,
 libjs-jquery,
 libjs-jquery-blockui,
 libjs-spin.js,
 libjs-toastr,
 libjs-webrtc-adapter (>= 8),
 ${misc:Depends},
Suggests:
 janus,
 janus-tools,
 libjs-bootstrap-slider,
Description: general purpose WebRTC server/gateway - demos
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains a set of demo html applications using Janus.
 .
 The demos require online referenced Javascript code.
 .
 GStreamer example script in package janus-tools is needed
 to feed one of the streams in Streaming demo.

Package: libjs-janus
Section: javascript
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Suggests:
 janus,
Description: general purpose WebRTC server/gateway - JavaScript library
 janus is a general purpose WebRTC server/gateway
 with a minimal footprint.
 .
 This package contains a JavaScript library
 to interact with Janus from a web browser.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

# avoid installing libtool *.la files
export DH_OPTIONS = --exclude=.la

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-json-logger \
		--enable-systemd-sockets \
		--enable-mqtt \
		--enable-nanomsg \
		--enable-plugin-lua \
		--enable-plugin-duktape \
		--enable-post-processing

override_dh_auto_build-arch: $(DOCS)
	dh_auto_build

override_dh_auto_build-indep: debian/js/janus.min.js.gz $(DOCS)
	dh_auto_build -- docs

execute_before_dh_install:
	rename 's/\.sample$$//' debian/tmp/etc/janus/*.sample
	rm -f debian/tmp/usr/share/janus/streams/test_*
	rm -f debian/tmp/usr/share/janus/demos/janus.js

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

# use staging dir for browser library (easier to install and clean)
debian/js/janus.js:
	cd npm && rollup --config rollup.config.js \
		--sourcemap inline \
		--output.format umd \
		--output.file ../$@

# optimize JavaScript for browser use
# * include source-map
%.min.js: %.js
	terser --compress --mangle \
		--source-map "base='$(abspath $(dir $@))',url='$(notdir $@).map'" \
		--output $@ \
		-- $<

# pre-compress for browser use
%.gz: %
	pigz --force --keep -11 -- $<
	brotli --force --keep --best --suffix=.brotli -- $<

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

%:
	dh $@

.SECONDARY:

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/meetecho/janus-gateway/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## janus 1.0.0

=== DESCRIPTION ===
Package: janus
Type: Package
Title: Optimized Recommending System Based on 'tensorflow'
Version: 1.0.0
Authors@R: c(person("Giancarlo", "Vercellino", role = c("aut", "cre", "cph"), email = "giancarlo.vercellino@gmail.com"))
Maintainer: Giancarlo Vercellino <giancarlo.vercellino@gmail.com>
Description: Proposes a coarse-to-fine optimization of a recommending system based on deep-neural networks using 'tensorflow'.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.1
Imports: keras (>= 2.9.0), tensorflow (>= 2.9.0), dplyr (>= 1.0.10),
        purrr (>= 0.3.4), forcats (>= 0.5.1), tictoc (>= 1.0.1), readr
        (>= 2.1.2), ggplot2 (>= 3.3.6), narray (>= 0.4.1.1), lubridate
        (>= 1.7.10), RcppAlgos (>= 2.6.0), Rmpfr (>= 0.8-7), Metrics
        (>= 0.1.4), StatRank (>= 0.0.6), hash (>= 2.2.6.2), reticulate
        (>= 1.26)
URL: https://rpubs.com/giancarlo_vercellino/janus
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-12-16 05:09:19 UTC; gvercellino
Author: Giancarlo Vercellino [aut, cre, cph]
Repository: CRAN
Date/Publication: 2022-12-16 10:00:02 UTC

## janus 1.0.1

=== debian/changelog ===
janus (1.0.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * use source git branch debian/bullseye-backports
  * call executable uglifyjs.terser (not terser);
    build-depend on uglifyjs.terser (not terser)
  * drop autopkgtest: required package python3-aiortc unavailable

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 May 2022 08:19:49 +0200

janus (1.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix misspelling in changelog: rollup
  * stop build-depend on gengetopt
  * update and unfuzz patches
  * add patch 2008 to avoid referencing virtualbg demo;
    avoid installing virtualbg demo
  * update source helper copyright-check to handle webp

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Apr 2022 16:24:42 +0200

janus (1.0.0-4) unstable; urgency=medium

  * fix update patch to JavaScript module

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Mar 2022 14:21:14 +0100

janus (1.0.0-3) experimental; urgency=medium

  * fix build binary package libjs-janus-gateway
    (not libjs-janus),
    to match NPM project name

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Mar 2022 12:18:56 +0100

janus (1.0.0-2) unstable; urgency=medium

  * drop obsolete doxygen-related lintian override
  * fail build if rollup emit warnings
  * update patch 2003
    to fix CSS for documentation placeholder page
  * add patch 2002
    to separate documentation from demos;
    unfuzz patch 2006
  * add patch 1004 to have Doxygen use SVG files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Mar 2022 12:07:51 +0100

janus (1.0.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + add Upstream-Contact
    + drop superfluous secondary source URI
    + update paths
  * update and unfuzz patches
  * include multistream example with package janus-tools
  * annotate packages janus-doc libjs-janus as Multi-Arch: foreign

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Mar 2022 22:40:41 +0100

janus (0.12.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * build-depend on duktape-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Mar 2022 21:28:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
- gengetopt,
+ duktape-dev,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -41,7 +41,7 @@
  node-rollup-plugin-replace,
  pigz,
  rollup,
- terser,
+ uglifyjs.terser,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
@@ -127,6 +127,7 @@
 Package: janus-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  libjs-bootstrap,
  libjs-jquery,
@@ -146,7 +147,7 @@
  libjs-bootbox,
  libjs-bootstrap,
  libjs-bootswatch,
- libjs-janus,
+ libjs-janus-gateway,
  libjs-jquery,
  libjs-jquery-blockui,
  libjs-spin.js,
@@ -168,9 +169,10 @@
  GStreamer example script in package janus-tools is needed
  to feed one of the streams in Streaming demo.
 
-Package: libjs-janus
+Package: libjs-janus-gateway
 Section: javascript
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 DOCS = README.html README.txt
 endif
+
+ROLLUP = rollup --failAfterWarnings
 
 # avoid installing libtool *.la files
 export DH_OPTIONS = --exclude=.la
@@ -28,17 +30,19 @@
 override_dh_auto_build-indep: debian/js/janus.min.js.gz $(DOCS)
 	dh_auto_build -- docs
 
+# TODO: stop exclude virtualbg demo when needed code is in Debian
 execute_before_dh_install:
 	rename 's/\.sample$$//' debian/tmp/etc/janus/*.sample
 	rm -f debian/tmp/usr/share/janus/streams/test_*
 	rm -f debian/tmp/usr/share/janus/demos/janus.js
+	rm -f debian/tmp/usr/share/janus/demos/virtualbg.*
 
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)
 
 # use staging dir for browser library (easier to install and clean)
 debian/js/janus.js:
-	cd npm && rollup --config rollup.config.js \
+	cd npm && $(ROLLUP) --config rollup.config.js \
 		--sourcemap inline \
 		--output.format umd \
 		--output.file ../$@
@@ -46,7 +50,7 @@
 # optimize JavaScript for browser use
 # * include source-map
 %.min.js: %.js
-	terser --compress --mangle \
+	uglifyjs.terser --compress --mangle \
 		--source-map "base='$(abspath $(dir $@))',url='$(notdir $@).map'" \
 		--output $@ \
 		-- $<

## janus 1.0.4

=== debian/changelog ===
janus (1.0.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update/unfuzz patches
  * update to reference new file settings.js for janus-demos

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Aug 2022 20:40:02 +0200

janus (1.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Aug 2022 19:24:14 +0200

=== debian/control ===
--- 
+++ 
@@ -41,8 +41,8 @@
  node-rollup-plugin-replace,
  pigz,
  rollup,
- uglifyjs.terser,
-Standards-Version: 4.6.0
+ terser,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
 Homepage: https://janus.conf.meetecho.com

## janus 1.1.2

=== test/requirements.txt ===
websockets==8.1
aiortc==0.9.26

=== debian/changelog ===
janus (1.1.2-3) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Start Janus only if it is not already running. (Closes: #1102692)
  * Remove skip-not-installable from autopkgtest.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 22 Jul 2025 23:43:18 +0200

janus (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest:
    - Take fix from upstream to make test case work with python3.11.
    - Fix test script to use system janus.
    - Call test script to run janus daemon which is required by the functional
      test to talk to.
    (Closes: #1102601)

 -- Guillem Jover <gjover@sipwise.com>  Fri, 11 Apr 2025 20:49:12 +0200

janus (1.1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Sudip Mukherjee ]
  * d/t/control: skip autopkgtest if uninstallable.
    - python3-aiortc is not available in Plucky.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2025 17:36:42 +0100

janus (1.1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Zixing Liu <zixing.liu@canonical.com> ]
  * d/p/2010_fix_ffmpeg_7.patch: fix FTBFS with FFmpeg 7
    (Closes: #1072424)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 11:53:59 +0100

janus (1.1.2-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + use parentheses to ensure compilation;
      closes: bug#1027656, thanks to Lucas Nussbaum

  [ Jonas Smedegaard ]
  * fix add bug closure and credit to previous changelog entry
  * fix source helper tool copyright-check:
    + work with Path::Tiny 0.144
    + avoid insecure shell expansion
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Jan 2023 09:09:02 +0100

janus (1.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patch 2009
    to adapt rollup config syntax as needed for Rollup v3;
    closes: bug#1023328, thanks to Yadd

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Dec 2022 11:08:48 +0100

janus (1.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Oct 2022 18:42:05 +0200

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  pigz,
  rollup,
  terser,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/janus.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/janus
 Homepage: https://janus.conf.meetecho.com

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 # optimize JavaScript for browser use
 # * include source-map
 %.min.js: %.js
-	uglifyjs.terser --compress --mangle \
+	terser --compress --mangle \
 		--source-map "base='$(abspath $(dir $@))',url='$(notdir $@).map'" \
 		--output $@ \
 		-- $<

=== debian/tests/control ===
Test-Command:
 test/test_aiortc.sh
Restrictions: allow-stderr
Depends:
 janus,
 procps,
 python3-aiortc,
 python3-pytest-asyncio,
 python3-websockets,
